# Uses of Annotation Interface
net.shibboleth.shared.annotation.constraint.NonNegative

Packages that use NonNegative
Package
Description
net.shibboleth.shared.net
Shared networking APIs and classes.
net.shibboleth.shared.security
Helpers for common security related tasks.
net.shibboleth.shared.security.impl
Implementations of security interfaces.

## Uses of NonNegative in net.shibboleth.shared.net

Fields in net.shibboleth.shared.net with annotations of type NonNegative
Modifier and Type
Field
Description
`private int`
CookieManager.`cookieLimit`
Limit on numbeer of cookies when purging.
Methods in net.shibboleth.shared.net with annotations of type NonNegative
Modifier and Type
Method
Description
`int`
CookieManager.`getCookieLimit()`
Gets the limit on cookies of a given set when purging.
Method parameters in net.shibboleth.shared.net with annotations of type NonNegative
Modifier and Type
Method
Description
`void`
CookieManager.`setCookieLimit(int limit)`
Sets the limit on cookies of a given set when purging.

## Uses of NonNegative in net.shibboleth.shared.security

Fields in net.shibboleth.shared.security with annotations of type NonNegative
Modifier and Type
Field
Description
`private final Integer`
RandomIdentifierParameterSpec.`identifierSize`
The field for the `identifierSize` record component.
Methods in net.shibboleth.shared.security with annotations of type NonNegative
Modifier and Type
Method
Description
`Integer`
RandomIdentifierParameterSpec.`identifierSize()`
Returns the value of the `identifierSize` record component.
Constructor parameters in net.shibboleth.shared.security with annotations of type NonNegative
Modifier
Constructor
Description
``
`RandomIdentifierParameterSpec(RandomGenerator source, Integer identifierSize, org.apache.commons.codec.BinaryEncoder identifierEncoder)`
Creates an instance of a `RandomIdentifierParameterSpec` record class.

## Uses of NonNegative in net.shibboleth.shared.security.impl

Fields in net.shibboleth.shared.security.impl with annotations of type NonNegative
Modifier and Type
Field
Description
`private long`
ScriptedKeyStrategy.`cacheSize`
Size of key cache to maintain.
Method parameters in net.shibboleth.shared.security.impl with annotations of type NonNegative
Modifier and Type
Method
Description
`void`
ScriptedKeyStrategy.`setCacheSize(long size)`
Set the number of keys to cache.